language: c
compiler:
- clang
- gcc
before_install: sudo apt-get update
install: sudo apt-get install bc gnutls-bin valgrind perl
script:
- cmake -D CMAKE_BUILD_TYPE:String="Check" .
- make
- make test
- ( cd tests && ./compat.sh )
- ( cd tests && ./ssl-opt.sh )
- tests/scripts/test-ref-configs.pl
env:
  global:
    secure: LidFb8vsR72MKTVpaZ8IYHR1xeVnff47/+ckEge5F9gcwf7QmfSI3+gBLZZciNdyrWzOFhlQ5Q2z/pqVeRtEkKrlcporoMMcHRIbyIA+lfRE1HnYHw7jITScfN9ZmK4msU1ElRlAk6U7ND6MPTH8QfWwchNafDk9d3AoHL4/RrQ=

addons:
  coverity_scan:
    project:
      name: "polarssl/polarssl"
      description: "PolarSSL Open Source SSL Library"
    notification_email: p.j.bakker@polarssl.org
    build_command_prepend:
    build_command: make
    branch_pattern: development
